Subject: Re: postgresql question
From: Jason Tishler <[email-masked]>
To: Ralf Habacker <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Fri, 08 Nov 2002 08:50:27 -0500

Ralf,

On Fri, Nov 08, 2002 at 09:50:45AM +0100, Ralf Habacker wrote:
> > -----Original Message-----
> > From: Jason Tishler [mailto:[email-masked]]
> > Sent: Thursday, November 07, 2002 7:48 PM
> >
> But some pgcyrpto functions returns different crypted hashes as under
> linux for example and that is the reason why the below mentioned
> regression test fails.

Could this be a binary versus text issue?  See below...

> > Does proftpd work for you under Cygwin?  When I tried, I discovered
> > many issues even though it built OOTB.
> 
> What do you mean especially ?

So far I have found the following issues with Cygwin ProFTPD 1.2.6:

    o inaccuracies in the README.cygwin
    o build problems due to missing EXEEXTs in Makefile.in
    o password authentication problems (need to use cygwin_logon_user())
    o ls fails                                                          
    o get reports inaccurate file sizes
    o numerous setuid(0) calls

> [snip]
> > What is the above?  It looks like a PostgreSQL regression test
> > output, but I have never seen the above when I run the regression
> > test.
> 
> $ cd <postgresql-source-root>/contrib/pgcrypto
> make installcheck

Doh!  I tried make test yesterday -- I should know better!

BTW, all tests succeed for me:

    test init                 ... ok
    test md5                  ... ok
    test sha1                 ... ok
    test hmac-md5             ... ok
    test hmac-sha1            ... ok
    test blowfish             ... ok
    test rijndael             ... ok
    test crypt-des            ... ok
    test crypt-md5            ... ok
    test crypt-blowfish       ... ok
    test crypt-xdes           ... ok

> As i said above, it seems to me, that there are different md5
> implementations at all. It's very confusing.  In short, postgresql
> create different md5 keys under cygwin and linux

See above.

> > BTW, I'm still looking for a cygipc beta tester:
> >
> >     http://cygwin.com/ml/cygwin/2002-11/msg00136.html
> >
> > Are you willing to help me out?
> >
> [snip]
> 
> Have I only update the ipc-daemon or have I to rebuild all the client
> applications ?
> 
> The patches let me assume that this affect only the daemon.

No, the patch actually affects the library, libcygipc.a.  Unfortunately,
you will have to build all (or at least some) of the client
applications.

Thanks,
Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/